Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_DirectoryUser

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_DirectoryObject

                                    |

                                    +--oracle.ifs.server.S_TieDirectoryObject

                                          |

                                          +--oracle.ifs.server.S_DirectoryUser

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieDirectoryUser

public class S_DirectoryUser
extends S_TieDirectoryObject

An `S_DirectoryUser` is the server-side representation of an iFS user.

See Also:
  `S_LibraryService`, `S_LibrarySession`

Method Summary
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Changes the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations before freeing an object.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Updates any system attributes appropriate for creating this object.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations before an update.
`S_PrimaryUserProfile` | `getPrimaryUserProfile()` Gets the primary user profile for this user.

Methods inherited from class oracle.ifs.server.S_DirectoryObject
`getAllAncestors, getAllMembers, getDirectAncestors, getDirectMembers`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, isVersionable, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Changes the S_LibraryObjectDefinition for this class.

  This is called by getDefinition() on S_LibraryObject. It must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Performs the necessary operations before an update.
  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current state of the operation
    `def` - current object definition to be updated
  Throws:
    `IfsException` - if the operation fails.

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Updates any system attributes appropriate for creating this object.
  Overrides:
    `extendedPreInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated
  Throws:
    `IfsException` - if operation fails.

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Performs the necessary operations before freeing an object.

  This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_DirectoryObject`
  Throws:
    `IfsException` - if operation fails.

### getPrimaryUserProfile

    public S_PrimaryUserProfile getPrimaryUserProfile()
                                               throws IfsException

  Gets the primary user profile for this user.
  Returns:
    the primary user profile
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD